Subject: Re: [PATCH v3] lisp/recentf.el: Add verbosity option

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Feb 2025 10:06:17 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 12 Feb 2025 21:19:38 -0800
> 
> > +(defcustom recentf-verbosity 1
> > +  "Whether to show verbose messages about low-level recentf actions.
> > +0 means to not show debugging messages related to the recentf machinery.
> > +1 means show messages that were printed by default on Emacs <= 31.1."
> > +  :group 'recentf
> > +  :type 'integer
> > +  :version "31.1")
> 
> I think this should be a boolean called `recentf-verbose` or even
> `recentf-messages`.

Agreed.

> I would also set it to nil by default, because as we discussed earlier
> these messages are unlikely to be useful.  We should of course then also
> explain in NEWS how to get the old behavior back.

Why make a change in normal Emacs behavior that no one except Vladimir
asked for?